## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.17.1
%bcond check 1

# https://github.com/sibprogrammer/xq
%global goipath         github.com/sibprogrammer/xq
Version:                1.3.0

%gometa -L -f


Name:           xq
Release:        %autorelease
Summary:        Command-line XML and HTML beautifier and content extractor

# Generated by go-vendor-tools
License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND ISC AND MIT
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml

BuildRequires:  go-vendor-tools

%description
Command-line XML and HTML beautifier and content extractor.

%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}

%build
%global gomodulesmode GO111MODULE=on
export GO_LDFLAGS="-X main.commit=fedora \
                -X main.version=%{version} \
                -X main.date=$(date -d "@${SOURCE_DATE_EPOCH}" +%Y-%m-%d)"
%gobuild -o %{gobuilddir}/bin/xq %{goipath}/

%install
%go_vendor_license_install -c %{S:2}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

mv ./docs/%{name}.man ./docs/%{name}.1
install -Dpm 0644 ./docs/%{name}.1 -t %{buildroot}%{_mandir}/man1/

%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
%gotest ./...
%endif

%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc docs README.md
%{_bindir}/xq
%{_mandir}/man1/%{name}.1*

%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Thu Jul 10 2025 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.3.0-3
- Adopt Go Vendor Tools

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 23 2024 Packit <hello@packit.dev> - 1.3.0-1
- Update to 1.3.0 upstream release
- Resolves: rhbz#2333882

* Tue Sep 03 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.2.5-1
- Update to 1.2.5

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 1.2.4-2
- Rebuild for golang 1.22.0

* Sun Feb 11 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.2.4-1
- Update to 1.2.4 - Closes rhbz#2259069 rhbz#2248415 rhbz#2229608

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Nov 06 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.2.3-1
- Update to 1.2.3 - Closes rhbz#2248087

* Fri Oct 13 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.2.2-2
- Add ldflags and remove devel package

* Mon Oct 09 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.2.2-1
- Update to 1.2.2 - Closes rhbz#2242951

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 10 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.2.1-1
- Update to 1.2.1 - Closes rhbz#2221524

* Mon Apr 24 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.1.4-1
- Update to 1.1.4

* Wed Jan 25 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.1.3-1
- Update to 1.1.3 - Closes rhbz#2164316

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Jan 15 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.1.2-1
- Update to 1.1.2

* Tue Dec 20 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.1.1-1
- Update to 1.1.1

* Mon Nov 28 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.1.0-1
- Update to 1.1.0 - Closes rhbz#2149052

* Mon Nov 07 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0.0-1
- Update to 1.0.0

* Mon Aug 29 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.0.8-2
- Use correct package name

* Mon Aug 29 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.0.8-1
- Update to 0.0.8 - Closes rhbz#2122039

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 0.0.7-5
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.0.7-4
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Sat Apr 16 2022 Fabio Alessandro Locati <me@fale.io> - 0.0.7-3
- Rebuilt for CVE-2022-27191

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Jan 09 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.0.7-1
- Update to 0.0.7 - Closes rhbz#2038698

* Mon Nov 22 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.0.6-1
- Initial import BZ#2023085
## END: Generated by rpmautospec
